Documentation de l'API

Gestionnaires de notifications

GET https://notificatorsms.com/api/notification-handlers/
curl --request GET \
--url 'https://notificatorsms.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/notification_handlers/' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/notification_handlers/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/notification_handlers/', headers=headers)
print(r.json())
Paramètres Détails Description
page Optionnel Entier Le numéro de page à partir duquel vous souhaitez obtenir des résultats. Par défaut, 1.
results_per_page Optionnel Entier Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25.
search Optionnel Chaîne La chaîne de recherche.
search_by Optionnel Chaîne Par quel champ effectuez-vous la recherche. Les valeurs autorisées sont : name.
type Optionnel Chaîne Par quel champ effectuez-vous la recherche. Les valeurs autorisées sont : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification.
datetime_field Optionnel Chaîne Valeurs autorisées : datetime, last_datetime
datetime_start Optionnel Chaîne Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optionnel Chaîne Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optionnel Chaîne Le champ selon lequel trier les résultats. Les valeurs autorisées sont : notification_handler_id, datetime, last_datetime, name.
order_type Optionnel Chaîne L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-17 15:46:30",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notificatorsms.com/api/notification-handlers?page=1",
        "last": "https://notificatorsms.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://notificatorsms.com/api/notification-handlers?page=1"
    }
}
GET https://notificatorsms.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://notificatorsms.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', headers=headers)
print(r.json())
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-17 15:46:30",
    }
}
POST https://notificatorsms.com/api/notification-handlers
Paramètres Détails Description
name Requis Chaîne -
type Requis Chaîne Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification
email Optionnel Chaîne Disponible lorsque : type = email E-mail
webhook Optionnel Chaîne Disponible lorsque : type = webhook URL du webhook
slack Optionnel Chaîne Disponible lorsque : type = slack URL du webhook Slack
discord Optionnel Chaîne Disponible lorsque : type = discord URL du webhook Discord
telegram Optionnel Chaîne Disponible lorsque : type = telegram Jeton API Telegram
telegram_chat_id Optionnel Chaîne Disponible lorsque : type = telegram ID de chat Telegram
microsoft_teams Optionnel Chaîne Disponible lorsque : type = microsoft_teams URL du webhook Microsoft Teams
google_chat Optionnel Chaîne Disponible lorsque : type = google_chat URL du webhook Google Chat
x_consumer_key Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_consumer_secret Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_access_token Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_access_token_secret Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
curl --request POST \
--url 'https://notificatorsms.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
curl --request POST \
  --url 'https://notificatorsms.com/api/notification_handlers' \
  --header 'Authorization: Bearer VOTRE_API_KEY' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=Mon Handler' \
  --form 'type=sms'
<?php
$ch = curl_init('https://notificatorsms.com/api/notification_handlers');
curl_setopt_array($ch, [
    CURLOPT_POST           => true,
    CURLOPT_POSTFIELDS     => [
        'name' => 'Mon Handler',
        'type' => 'sms',
    ],
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const form = new FormData();
form.append('name', 'Mon Handler');
form.append('type', 'sms');

const res = await fetch('https://notificatorsms.com/api/notification_handlers', {
    method: 'POST',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
    body: form,
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
payload = {
    'name': 'Mon Handler',
    'type': 'sms',
}
r = requests.post('https://notificatorsms.com/api/notification_handlers', data=payload, headers=headers)
print(r.json())
{
    "data": {
        "id": 1
    }
}
POST https://notificatorsms.com/api/notification-handlers/{notification_handler_id}
Paramètres Détails Description
name Optionnel Chaîne -
type Optionnel Chaîne Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification
email Optionnel Chaîne Disponible lorsque : type = email E-mail
webhook Optionnel Chaîne Disponible lorsque : type = webhook URL du webhook
slack Optionnel Chaîne Disponible lorsque : type = slack URL du webhook Slack
discord Optionnel Chaîne Disponible lorsque : type = discord URL du webhook Discord
telegram Optionnel Chaîne Disponible lorsque : type = telegram Jeton API Telegram
telegram_chat_id Optionnel Chaîne Disponible lorsque : type = telegram ID de chat Telegram
microsoft_teams Optionnel Chaîne Disponible lorsque : type = microsoft_teams URL du webhook Microsoft Teams
google_chat Optionnel Chaîne Disponible lorsque : type = google_chat URL du webhook Google Chat
x_consumer_key Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_consumer_secret Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_access_token Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
x_access_token_secret Optionnel Chaîne Disponible lorsque : type = x Jeton API Telegram
is_enabled Optionnel Booléen -
curl --request POST \
--url 'https://notificatorsms.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
curl --request POST \
  --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=Mon Handler'
<?php
$ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}');
curl_setopt_array($ch, [
    CURLOPT_POST           => true,
    CURLOPT_POSTFIELDS     => [
        'name' => 'Mon Handler',
    ],
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const form = new FormData();
form.append('name', 'Mon Handler');

const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', {
    method: 'POST',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
    body: form,
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
payload = {
    'name': 'Mon Handler',
}
r = requests.post('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', data=payload, headers=headers)
print(r.json())
{
    "data": {
        "id": 1
    }
}
DELETE https://notificatorsms.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://notificatorsms.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
curl --request DELETE \
  --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST  => 'DELETE',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', {
    method: 'DELETE',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.delete('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', headers=headers)
print(r.json())